# FDS instrument editor

the FDS instrument editor contains three tabs: FDS, Wavetable and Macros.

## FDS

here you can edit FDS-specific settings.

- **Compatibility mode**: DO NOT ENABLE. this exists for DefleMask compatibility. leave it alone.

- **Modulation depth**: sets frequency modulation depth.
- **Modulation speed**: sets frequency modulation speed.
- **Modulation table**: this allows you to define a waveform for frequency modulation.
  - the range is -4 to 3.
  - a value of -4 will reset the modulator.

## Wavetable

this allows you to enable and configure the Furnace wavetable synthesizer. see [this page](wavesynth.md) for more information.

## Macros

- **Volume**: volume sequence.
- **Arpeggio**: pitch sequence.
- **Waveform**: wavetable sequence.
- **Pitch**: fine pitch.
- **Mod Depth**: modulation depth.
- **Mod Speed**: modulation speed.
- **Mod Position**: sets position of modulator.
